#
# spec file for package pciutils (Version 3.1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pciutils
BuildRequires:  zlib-devel
Version:        3.1.2
Release:        1.5.20
Requires:       pciutils-ids
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      pciutils-64bit
%endif
#
Group:          Hardware/Other
License:        GPL v2 or later
Summary:        PCI-utilities for Kernel version 2.2 and newer
Url:            http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
Source:         %{name}-%{version}.tar.bz2
Patch:          update-pciutils-dist
Patch1:         %{name}-%{version}_pkgconfig.patch
Patch2:         %{name}-%{version}-class.diff
Patch3:         %{name}-%{version}-msg-bnc517692.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lspci: This program displays detailed information about all PCI busses
and devices in the system, replacing the original /proc/pci interface.

setpci: This program allows reading from and writing to PCI device
configuration registers. For example, you can adjust the latency timers
with it.

update-pciids: This program downloads the current version of the
pci.ids file.



Authors:
--------
    Martin Mares <mj@suse.cz>

%package devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Static Library and Include Files of the PCI-utilities
# bug437293
%ifarch ppc64
Obsoletes:      pciutils-devel-64bit
%endif
#
# As we only package a static library we need zlib-devel for final linking
Requires:       zlib-devel %{name} = %{version}

%description devel
This package contains the files that are necessary for software
development using the PCI-utilities.



Authors:
--------
    Martin Mares <mj@suse.cz>

%prep
%setup -q
%patch -p1
%patch1
%patch2
%patch3 -p1

%build
make OPT="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} LIBDIR=/%{_lib} SBINDIR=/sbin STRIP="" SHARED="yes"

%install
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} SBINDIR=$RPM_BUILD_ROOT/sbin \
             ROOT=$RPM_BUILD_ROOT/ MANDIR=$RPM_BUILD_ROOT/%{_mandir} STRIP="" \
	     SHARED="yes" LIBDIR=$RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/pci
cp -p lib/{pci,header,config,types}.h $RPM_BUILD_ROOT%{_includedir}/pci/
rm -rf $RPM_BUILD_ROOT%{_datadir}/pci.ids*
install -D -m 0644 lib/libpci.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libpci.pc
ln -sf /%{_lib}/libpci.so.3 %{buildroot}%{_libdir}/libpci.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%doc %{_mandir}/man?/*
/%{_lib}/libpci.so.*
/sbin/*

%files devel
%defattr(-, root, root)
%{_includedir}/pci/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpci.pc

%changelog
* Thu Jul  2 2009 nadvornik@suse.cz
- suppress warning about non-existent files [bnc#517692]
* Fri May 15 2009 anicka@suse.cz
- update to 3.1.2 (FATE 305890)
* Tue Feb  5 2008 anicka@suse.cz
- fix possible infinite output of lspci [#330533]
* Mon Jan 22 2007 anicka@suse.cz
- change dependency from python to perl in update-pciids [#221276]
* Sat Jan 20 2007 garloff@suse.de
- Change update-pciids to download to pci.ids.d/pci.ids.dist
  and call merge-pciids if possible. [FATE 301145, bug 221276]
* Fri Oct 13 2006 aj@suse.de
- Fix to build (remove pci.ids.gz as well).
* Fri Oct 13 2006 mjancar@suse.cz
- update to 2.2.4
  * many bugfixes and cleanups
- branch separate package for pci.ids
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Mar 22 2006 kukuk@suse.de
- Remove pciids-suse patch (has to be fixed upstream)
* Wed Mar 22 2006 kukuk@suse.de
- Auto-Update pci.ids
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 mjancar@suse.cz
- update pci.ids (#144200)
* Fri Jan 13 2006 mjancar@suse.cz
- reintroduce "Class" printed in numeric output (#143042)
* Mon Dec 19 2005 mjancar@suse.cz
- update to 2.2.1
* Fri Aug 26 2005 mjancar@suse.cz
- add types.h to pciutils-devel (#113294)
* Wed Aug 24 2005 mjancar@suse.cz
- update to 2.1.99-test9 (#98896)
- update pci.ids (#104381)
* Mon Mar 14 2005 mjancar@suse.cz
- fix non-ascii characters in pci.ids (#72345)
* Sat Mar  5 2005 schwab@suse.de
- Fix syntax error in pci.ids.
* Tue Feb 22 2005 mjancar@suse.cz
- fix sysfs parsing (#63326)
- update pci.ids
* Fri Sep 17 2004 tcrhak@suse.cz
- updated pci.ids to the latest snapshot (fixes bug #45370)
* Thu May 27 2004 tcrhak@suse.cz
- changed "SGI IO9/IO10 Gigabit Ethernet (Copper)"
  to "SGI IO9/IO10 Gigabit Ethernet (Copper)" (bug #40175)
* Wed Apr 28 2004 tcrhak@suse.cz
- updated pci.ids
* Thu Mar  4 2004 tcrhak@suse.cz
- some pci.ids fixes:
  * changed SubDevice of Dell Inspiron 2100 internal modem (bug #32842)
  * added 1291 - Auxiliary Diva Serial Port (bug #31984)
  * added PCI IDs for InfiniBand HCAs (bug #34928)
* Tue Feb 24 2004 tcrhak@suse.cz
- added support for domains to device filter (lspci -s, setpci -s)
  (fixes bug #33382, patch sysfs-filter)
- updated pci.ids
* Sat Nov 29 2003 olh@suse.de
- use default owner for pciutils-devel files
* Thu Nov  6 2003 olh@suse.de
- remove pcimodules again, it doesnt do anything right
* Tue Oct 28 2003 olh@suse.de
- add patch for 2.6 /proc/bus/pci layout
  http://ftp.linux.org.uk/pub/linux/willy/patches/pciutils-sysfs.diff
* Wed Oct  8 2003 tcrhak@suse.cz
- added pcimodules [bug #31953]
* Mon Aug 25 2003 tcrhak@suse.cz
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Feb 18 2003 tcrhak@suse.cz
- fixed NIC PCI IDs for Compaq [bug #22795],
  patch pciids.diff
- also included the diff for the latest pci.ids
  into the patch
* Wed Jan 15 2003 tcrhak@suse.cz
- fixed install paths
* Mon Jan  6 2003 tcrhak@suse.cz
- update to version 2.1.11
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Sep  6 2002 olh@suse.de
- update description of pcnet32 cards (#18892)
* Thu Aug 29 2002 tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
  this version contains entries needed by Hammer systems (bug #17549)
* Thu Aug  8 2002 olh@suse.de
- the acenic gigabit card can be either fibre or utp
  update pci.ids entry (#17502)
* Tue Jul 30 2002 tcrhak@suse.cz
- updated to version 2.1.10
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Tue Mar 26 2002 tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Fri Jan 18 2002 tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Jan  8 2002 schwab@suse.de
- Fix warnings.
* Mon Dec 17 2001 tcrhak@suse.cz
- updated pciutils to 2.1.9
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
* Wed Dec 12 2001 grimmer@suse.de
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
- added pci.ids.bz2 as a separate source file and removed
  pci.ids.add.dif (now included upstream)
* Mon Sep 24 2001 grimmer@suse.de
- added some missing PCI IDs for LSI Logic Fibre Channel
  controllers to pci.ids.add.diff
- corrected typos in pci.ids (Fiber Channel -> Fibre Channel)
- added LSI Logic Inc. to vendor ID 0x1000
* Wed Sep 19 2001 grimmer@suse.de
- added some missing PCI IDs for Compaq NICs to pci.ids.add.diff
  see [#8918] for the list
* Mon Sep 10 2001 grimmer@suse.de
- corrected some Intel NIC entries upon request from Intel
- merged pci.ids.riva.diff and the Intel changes in pci.ids.add.diff
* Mon Sep  3 2001 garloff@suse.de
- Riva TnT corrections from snbarth:
  * The name of Riva TnT 128 is Riva TnT.
  * NVidia/SGS Joint Venture (12d2) never built TNT or later.
* Wed Aug 29 2001 grimmer@suse.de
- merged pci.ids.244ac6.diff and pci.ids.add.diff into a single
  patch (again named pci.ids.add.diff) and added some more PCI IDs
  collected by Dave Jones <davej@suse.de> from various sources,
  including the current pciutils CVS tree.
- beautyfied the spec file a bit (added clean section and defattr
  in file list)
* Mon May 21 2001 poeml@suse.de
- add -devel subpackage
* Thu May 10 2001 garloff@suse.de
- Merge pci.ids from 2.4.4ac6
- bzip2 tarball
* Thu May  3 2001 garloff@suse.de
- Also don't die on failing to read data of a normal device,
  just complain loudly (and return 2 in the end)
- Updated pci.ids from linux-2.4.4 and added DFE-660.
* Wed Jan 17 2001 garloff@suse.de
- Don't die on failure to read ext. cardbus data. [#5817]
* Sun Dec 17 2000 garloff@suse.de
- Added pci.ids from linux-2.4.0-test12
- Added pci.ids floating around (lkml, RH)
- Added pci.ids for i820, ICH2/-M
* Mon Sep 18 2000 schwab@suse.de
- Add `-Wno-format' to avoid spurious compile errors.
* Fri Aug 18 2000 ro@suse.de
- cleanup srcdir
* Mon Jun 12 2000 olh@suse.de
- update to 2.1.8
* Mon Jan 24 2000 aj@suse.de
- update to 2.1.4, fix build problems with latest glibc, use patch
  for make file from Martin Mares.
* Thu Jan 20 2000 aj@suse.de
- update to 2.1.3, /usr/man -> /usr/share/man
* Tue Jan  4 2000 ro@suse.de
- update to 2.1.2
* Tue Oct 26 1999 ro@suse.de
- fixed to compile on axp
* Sat Oct 23 1999 ro@suse.de
- update to 2.1pre8 / using Buildroot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 ro@suse.de
- update to 2.0
* Wed Mar 31 1999 bs@suse.de
- don't use lx_hack for build
* Tue Feb 23 1999 ro@suse.de
- update to 1.10
* Thu Nov 26 1998 ro@suse.de
- created package, version 1.08
